Debian Bug report logs - #671064
nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared

version graph

Package: src:nmap; Maintainer for src:nmap is LaMont Jones <lamont@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 1 May 2012 16:24:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version nmap/5.51.6-0.1

Fixed in version nmap/5.51.6-0.3

Done: Hilko Bengen <bengen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Tue, 01 May 2012 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, LaMont Jones <lamont@debian.org>. (Tue, 01 May 2012 16:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Tue, 01 May 2012 18:23:52 +0200
Package: src:nmap
Version: 5.51.6-0.1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

gcc -O2 -Wall -D_GNU_SOURCE -O2 -O2 -Wall -D_GNU_SOURCE -I.  -DHAVE_CONFIG_H  -D_U_="__attribute__((unused))" -c ./pcap-bpf.c
./pcap-bpf.c: In function 'pcap_next_zbuf':
./pcap-bpf.c:334:3: warning: implicit declaration of function 'clock_gettime' [-Wimplicit-function-declaration]
./pcap-bpf.c:334:24: error: 'CLOCK_MONOTONIC' undeclared (first use in this function)
./pcap-bpf.c:334:24: note: each undeclared identifier is reported only once for each function it appears in
make[2]: *** [pcap-bpf.o] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=nmap&arch=kfreebsd-amd64&ver=5.51.6-0.1&stamp=1335889130

This is with eglibc -31

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Tue, 01 May 2012 19:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Tue, 01 May 2012 19:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 671064@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 671064@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Tue, 01 May 2012 20:09:57 +0100
[Message part 1 (text/plain, inline)]
tags 671064 + patch
thanks

On 01/05/12 17:23, Christoph Egger wrote:
> gcc -O2 -Wall -D_GNU_SOURCE -O2 -O2 -Wall -D_GNU_SOURCE -I.  -DHAVE_CONFIG_H  -D_U_="__attribute__((unused))" -c ./pcap-bpf.c
> ./pcap-bpf.c: In function 'pcap_next_zbuf':
> ./pcap-bpf.c:334:3: warning: implicit declaration of function 'clock_gettime' [-Wimplicit-function-declaration]
> ./pcap-bpf.c:334:24: error: 'CLOCK_MONOTONIC' undeclared (first use in this function)
> ./pcap-bpf.c:334:24: note: each undeclared identifier is reported only once for each function it appears in
> make[2]: *** [pcap-bpf.o] Error 1

Argh.  After figuring out what was wrong here, I then realised this was
already fixed in the libpcap0.8 package, just not in this embedded copy
of the library:

--- a/pcap-bpf.c
+++ b/pcap-bpf.c
@@ -31,8 +31,8 @@ static const char rcsid[] _U_ =
 #ifdef HAVE_ZEROCOPY_BPF
 #include <sys/mman.h>
 #endif
-#include <sys/time.h>
 #include <sys/socket.h>
+#include <time.h>
 /*
  * <net/bpf.h> defines ioctls, but doesn't include <sys/ioccom.h>.
  *

With that applied, for nping and nmap binaries to then link with the
statically-compiled embedded libpcap, they must also link with -lrt,
which the attached patch takes care of.

Builds successfully on kfreebsd-i386 after that, and appears to work.


While here, I also saw what looked like Microsoft .exe redistributables
in the source tarball / Git repository?

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[nmap-kfreebsd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Fri, 04 May 2012 08:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fyodor <fyodor@insecure.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 04 May 2012 08:27:08 GMT) Full text and rfc822 format available.

Message #15 received at 671064@bugs.debian.org (full text, mbox):

From: Fyodor <fyodor@insecure.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 671064@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Fri, 4 May 2012 00:58:08 -0700
On Tue, May 01, 2012 at 08:09:57PM +0100, Steven Chamberlain wrote:
> 
> While here, I also saw what looked like Microsoft .exe redistributables
> in the source tarball / Git repository?

We currently include those in our upstream Nmap tarballs (they are
needed on Windows and MS gives permission to redistribute them).  But
of course there is no need for Debian to include them.  And, in fact,
we may cease including them in the Nmap source tarball too.  They are
mostly just needed for our Windows binary packages.

Cheers,
-F




Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 04 May 2012 12:45:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Sun, 27 May 2012 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 27 May 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #22 received at 671064@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Hilko Bengen <bengen@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 671064@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Sun, 27 May 2012 22:47:06 +0200
[Message part 1 (text/plain, inline)]
Hello Hilko,

you NMU'd nmap to introduce a new upstream version. It generated an
FTBFS on kfreebsd-*, which has been unanswered for a whole month. Can
you please fix the RC bugginess you introduced? That should be
especially easy since GNU/kFreeBSD porters already supplied a patch?


Steven Chamberlain <steven@pyro.eu.org> (01/05/2012):
> tags 671064 + patch
> thanks

Thanks Steven for the patch.

> On 01/05/12 17:23, Christoph Egger wrote:
> > gcc -O2 -Wall -D_GNU_SOURCE -O2 -O2 -Wall -D_GNU_SOURCE -I.  -DHAVE_CONFIG_H  -D_U_="__attribute__((unused))" -c ./pcap-bpf.c
> > ./pcap-bpf.c: In function 'pcap_next_zbuf':
> > ./pcap-bpf.c:334:3: warning: implicit declaration of function 'clock_gettime' [-Wimplicit-function-declaration]
> > ./pcap-bpf.c:334:24: error: 'CLOCK_MONOTONIC' undeclared (first use in this function)
> > ./pcap-bpf.c:334:24: note: each undeclared identifier is reported only once for each function it appears in
> > make[2]: *** [pcap-bpf.o] Error 1

Thanks Christoph for the report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Sun, 27 May 2012 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hilko Bengen <bengen@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sun, 27 May 2012 22:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 671064@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 671064@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Mon, 28 May 2012 00:13:51 +0200
* Cyril Brulebois:

> you NMU'd nmap to introduce a new upstream version. It generated an
> FTBFS on kfreebsd-*, which has been unanswered for a whole month. 

Two days ago, I actually NMU'd a 5.51.6-0.2 that hopefully fixes the
problem. It will hit unstable in 3 days.

Cheers,
-Hilko




Added tag(s) pending. Request was from Hilko Bengen <bengen@debian.org> to control@bugs.debian.org. (Tue, 29 May 2012 16:51:03 GMT) Full text and rfc822 format available.

Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. (Wed, 30 May 2012 07:06:06 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 30 May 2012 07:06:06 GMT) Full text and rfc822 format available.

Message #34 received at 671064-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 671064-close@bugs.debian.org
Subject: Bug#671064: fixed in nmap 5.51.6-0.2
Date: Wed, 30 May 2012 07:03:27 +0000
Source: nmap
Source-Version: 5.51.6-0.2

We believe that the bug you reported is fixed in the latest version of
nmap, which is due to be installed in the Debian FTP archive:

nmap_5.51.6-0.2.diff.gz
  to main/n/nmap/nmap_5.51.6-0.2.diff.gz
nmap_5.51.6-0.2.dsc
  to main/n/nmap/nmap_5.51.6-0.2.dsc
nmap_5.51.6-0.2_amd64.deb
  to main/n/nmap/nmap_5.51.6-0.2_amd64.deb
zenmap_5.51.6-0.2_amd64.deb
  to main/n/nmap/zenmap_5.51.6-0.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated nmap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 May 2012 13:31:37 +0200
Source: nmap
Binary: nmap zenmap
Architecture: amd64 source
Version: 5.51.6-0.2
Distribution: sid
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Closes: 542958 671064
Description: 
 nmap       - The Network Mapper
 zenmap     - The Network Mapper Front End
Changes: 
 nmap (5.51.6-0.2) unstable; urgency=low
 .
   * Non-maintainer upload
   * use DESTDIR instead of prefix for make install. This fixes the zenmap
     sys.path issue (#663217) as well as the path in the .desktop files.
     Closes: #542958
   * revert change to zenmap setup.py script
   * Got rid of country-specific part in the directory
   * Disable pcap compatibility check that caused the internal libpcap copy
     to be used on kfreebsd-* (Closes: #671064).
Checksums-Sha1: 
 f38063b0a29f6678e9c85d2c2bda471ffede456d 3373718 nmap_5.51.6-0.2_amd64.deb
 90501a2943e12a2d8437d191809a06f09489e893 610664 zenmap_5.51.6-0.2_amd64.deb
 ab32e8ea0e49ae9eb19ccc4e5c5a8903b0af8418 1281 nmap_5.51.6-0.2.dsc
 de93b49b5fa72b1441ade31c1f374d14e3ca1feb 24528 nmap_5.51.6-0.2.diff.gz
Checksums-Sha256: 
 d47852d379eb2c2059bb5872aedfaa089cd7fffe42118e253ffc0ed0dce9e8b4 3373718 nmap_5.51.6-0.2_amd64.deb
 e6eb2e51d86cb63324c607d6e36993a477d5dbec4014504b0528cc68a1706066 610664 zenmap_5.51.6-0.2_amd64.deb
 f396f7b7d5ddc8261d4e861bb6e60c263d0733e6872c0cead65913fba200ccfd 1281 nmap_5.51.6-0.2.dsc
 2efa2f6b423a4b49ad5629928f413ff2b4187e19305e7faef782e2c2f5950be7 24528 nmap_5.51.6-0.2.diff.gz
Files: 
 27f4054b3d93b187819b848449942731 3373718 net extra nmap_5.51.6-0.2_amd64.deb
 29cc93c87acc01f85867f8032fefba7e 610664 net extra zenmap_5.51.6-0.2_amd64.deb
 051bf59bb94aa7dcbfe18bd71745db39 1281 net extra nmap_5.51.6-0.2.dsc
 ee5d03649f31e0e767e62fb4297a4201 24528 net extra nmap_5.51.6-0.2.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/AzMUACgkQUCgnLz/SlGhR1QCeJEbC+rPq8vdaUrNss5Wf6qp7
XnoAoNWMs4MOypssLZDqEmsZdwBkuFTp
=f5wm
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Wed, 30 May 2012 07:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 30 May 2012 07:45:14 GMT) Full text and rfc822 format available.

Message #39 received at 671064@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Hilko Bengen <bengen@debian.org>
Cc: Steven Chamberlain <steven@pyro.eu.org>, 671064@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: Bug#671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared
Date: Wed, 30 May 2012 09:41:04 +0200
[Message part 1 (text/plain, inline)]
reopen   671064
notfixed 671064 5.51.6-0.2
thanks

Hilko Bengen <bengen@debian.org> (28/05/2012):
> Two days ago, I actually NMU'd a 5.51.6-0.2 that hopefully fixes the
> problem. It will hit unstable in 3 days.

Unfortunately, it doesn't:
| g++   -o nping ArgParser.o NetworkLayerElement.o PacketElement.o common.o common_modified.o nping.o RawData.o UDPHeader.o  NpingOps.o TCPHeader.o utils.o utils_net.o IPv4Header.o ICMPv4Header.o IPv6Header.o output.o TransportLayerElement.o stats.o NpingTargets.o NpingTarget.o EthernetHeader.o ARPHeader.o EchoHeader.o EchoServer.o EchoClient.o ProbeMode.o NEPContext.o Crypto.o PacketDiff.o  ../nbase/libnbase.a ../nsock/src/libnsock.a ../libnetutil/libnetutil.a -lssl -lcrypto ../libpcap/libpcap.a ../libdnet-stripped/src/.libs/libdnet.a -ldl  -lpthread
| g++: error: ../libpcap/libpcap.a: No such file or directory

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 07:45:26 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions nmap/5.51.6-0.2. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 07:45:26 GMT) Full text and rfc822 format available.

Reply sent to Hilko Bengen <bengen@debian.org>:
You have taken responsibility. (Wed, 30 May 2012 23:21:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Wed, 30 May 2012 23:21:05 GMT) Full text and rfc822 format available.

Message #48 received at 671064-close@bugs.debian.org (full text, mbox):

From: Hilko Bengen <bengen@debian.org>
To: 671064-close@bugs.debian.org
Subject: Bug#671064: fixed in nmap 5.51.6-0.3
Date: Wed, 30 May 2012 23:20:04 +0000
Source: nmap
Source-Version: 5.51.6-0.3

We believe that the bug you reported is fixed in the latest version of
nmap, which is due to be installed in the Debian FTP archive:

nmap_5.51.6-0.3.diff.gz
  to main/n/nmap/nmap_5.51.6-0.3.diff.gz
nmap_5.51.6-0.3.dsc
  to main/n/nmap/nmap_5.51.6-0.3.dsc
nmap_5.51.6-0.3_kfreebsd-amd64.deb
  to main/n/nmap/nmap_5.51.6-0.3_kfreebsd-amd64.deb
zenmap_5.51.6-0.3_kfreebsd-amd64.deb
  to main/n/nmap/zenmap_5.51.6-0.3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671064@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hilko Bengen <bengen@debian.org> (supplier of updated nmap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 30 May 2012 20:51:53 +0200
Source: nmap
Binary: nmap zenmap
Architecture: kfreebsd-amd64 source
Version: 5.51.6-0.3
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: Hilko Bengen <bengen@debian.org>
Closes: 671064
Description: 
 nmap       - The Network Mapper
 zenmap     - The Network Mapper Front End
Changes: 
 nmap (5.51.6-0.3) unstable; urgency=low
 .
   * Non-maintainer upload
   * Disable pcap compatibility check, second take. (Closes: #671064)
Checksums-Sha1: 
 4cd40cff03a6233eb302409acddd2dc6959c8fe4 1281 nmap_5.51.6-0.3.dsc
 7f77409649cb631d84d2303c940d17553a992c87 19687 nmap_5.51.6-0.3.diff.gz
 eaa8b2cb3662cb505ba8ad1e4848fc6477cacce5 3352314 nmap_5.51.6-0.3_kfreebsd-amd64.deb
 411bf812389a91d80a88388571a02cf674d221fa 610134 zenmap_5.51.6-0.3_kfreebsd-amd64.deb
Checksums-Sha256: 
 1c34774a7c9d994c20863b332373157e018691c28c81ab2f59aa39ae8dda2288 1281 nmap_5.51.6-0.3.dsc
 d469ed6d3927211cd914361b298b44156c5da52cb0afdda3f2d3d2efd96624eb 19687 nmap_5.51.6-0.3.diff.gz
 20d6c8fd30318dc16698762245e388d46dde90ead8e5d8cce668788993948d23 3352314 nmap_5.51.6-0.3_kfreebsd-amd64.deb
 71fc5e2894e85d09ac00fda9b6612166ac8e4e0594d49678777cc73c013499de 610134 zenmap_5.51.6-0.3_kfreebsd-amd64.deb
Files: 
 3a50286110e2a4425d110967689798cb 1281 net extra nmap_5.51.6-0.3.dsc
 97881e53d8905a28cf9864bdb4f6cbab 19687 net extra nmap_5.51.6-0.3.diff.gz
 826ec0806543da2615905abd5fc47c43 3352314 net extra nmap_5.51.6-0.3_kfreebsd-amd64.deb
 f5d2d2cd75c07d7a2fa922d26658a804 610134 net extra zenmap_5.51.6-0.3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/GpSUACgkQUCgnLz/SlGiaBwCcDwVbX4WtIOkKpEkLHFGuGL1o
rjMAmwVF/zwnrfPGOlmon8PR6Y3Pule/
=TcoT
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#671064; Package src:nmap. (Thu, 31 May 2012 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Thu, 31 May 2012 00:09:03 GMT) Full text and rfc822 format available.

Message #53 received at 671064@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 671064@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#671064 closed by Hilko Bengen <bengen@debian.org> (Bug#671064: fixed in nmap 5.51.6-0.3)
Date: Thu, 31 May 2012 01:04:40 +0100
[Message part 1 (text/plain, inline)]
On 31/05/12 00:21, Debian Bug Tracking System wrote:
> #671064: nmap: FTBFS[kfreebsd]: error: 'CLOCK_MONOTONIC' undeclared 
> It has been closed by Hilko Bengen <bengen@debian.org>.

Ah, I'm too late!  I just came up with a patch to fix the testcase that
caused both these issues.  I've attached it anyway in case this problem
comes back.  Requires an autoconf rebuild of nping/configure

nmap 5.51.6-0.3 built fine anyway when I tested on kfreebsd-i386.
Thanks a lot for fixing it!

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[nmap-failing-pcap-testcase.patch (text/x-patch, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jul 2012 07:55:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:32:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.